Bug 1285017 - New requirement in alembic 0.8.0: python-editor
New requirement in alembic 0.8.0: python-editor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-alembic (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 11:49 EST by Luke Macken
Modified: 2016-09-19 22:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-alembic-0.8.3-3.fc23 python-alembic-0.8.3-3.fc22 python-alembic-0.8.3-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 14:20:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2015-11-24 11:49:45 EST
Description of problem:

Alembic 0.8.0 and newer now have a requirement on python-editor for the `alembic edit` command, but this is not reflected in the specfile.

https://alembic.readthedocs.org/en/latest/changelog.html#change-6f7ad612c3971d2e335dfae3772c19e2

In Fedora Infrastructure staging, I'm hitting this exception when trying to run the bodhi upgrade playbook, due to this issue:

    pkg_resources.DistributionNotFound: python-editor>=0.3
Comment 1 Ralph Bean 2015-11-24 12:09:44 EST
I just requested commit on python-editor to try and move this forwards:  https://admin.fedoraproject.org/pkgdb/package/python-editor/

I mistakenly thought that it would have been built by now..
Comment 2 Fedora Update System 2015-11-24 12:53:21 EST
python-editor-0.4-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e662b9cd9a
Comment 3 Fedora Update System 2015-11-24 12:53:36 EST
python-editor-0.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16ffa3adda
Comment 4 Fedora Update System 2015-11-24 12:53:58 EST
python-editor-0.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9b2a9f807c
Comment 5 Fedora Update System 2015-11-25 19:53:49 EST
python-alembic-0.8.3-3.el7, python-editor-0.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-alembic python-editor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9b2a9f807c
Comment 6 Fedora Update System 2015-11-25 21:25:59 EST
python-alembic-0.8.3-3.fc22, python-editor-0.4-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-alembic python-editor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e662b9cd9a
Comment 7 Fedora Update System 2015-11-25 21:54:54 EST
python-alembic-0.8.3-3.fc23, python-editor-0.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-alembic python-editor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16ffa3adda
Comment 8 Fedora Update System 2015-12-04 14:20:12 EST
python-alembic-0.8.3-3.fc23, python-editor-0.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-12-04 16:20:47 EST
python-alembic-0.8.3-3.fc22, python-editor-0.4-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-12-15 02:58:13 EST
python-alembic-0.8.3-3.el7, python-editor-0.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.